
Redmine - Defect #16040

problem in exporting Arabic text to csv

2014-02-06 14:27 - Hosny Ashry

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version:  

Description

I have a problem in exporting arabic text in issues list as attached files

redmine version 2.3.1  BitNami Redmine Stack

Related issues:

Related to Redmine - Defect #10681: Export to Persian PDF problem Closed

Related to Redmine - Feature #9943: Arabic translation Closed

Has duplicate Redmine - Defect #18504: PDF export for arabic and persian lang... Closed

Associated revisions

Revision 13726 - 2014-12-06 14:49 - Toshi MARUYAMA

Gemfile: update rbpdf version to 1.18.3 (#16040, #18586, #10681)

Revision 13729 - 2014-12-06 14:57 - Toshi MARUYAMA

pdf: use DejaVuSans font in Arabic and Persian (#16040, #18586, #10681)

Revision 13982 - 2015-02-08 11:38 - Toshi MARUYAMA

Merged r13729 from trunk to 2.6-stable (#16040, #18586, #10681)

pdf: use DejaVuSans font in Arabic and Persian.

History

#1 - 2014-02-09 07:20 - Hosny Ashry

- File arabic.png added

the text is well displayed in the HTML

#2 - 2014-02-12 07:45 - Vivek m v

We are are also facing same issue while exporting arabic text to csv & pdf.

We are on 2.4.2.

Any suggestion to solve this issue is really appreciated.

#3 - 2014-02-23 07:33 - Toshi MARUYAMA

- Category set to PDF export

#4 - 2014-02-23 07:33 - Toshi MARUYAMA

- Related to Defect #10681: Export to Persian PDF problem added

#5 - 2014-02-23 07:39 - Toshi MARUYAMA

It seems "general_csv_encoding: ISO-8859-1" is wrong.

http://www.redmine.org/projects/redmine/repository/entry/tags/2.4.3/config/locales/ar.yml#L142

#6 - 2014-02-23 07:40 - Toshi MARUYAMA

- Related to Feature #9943: Arabic translation added
http://www.redmine.org/projects/redmine/repository/entry/tags/2.4.3/config/locales/ar.yml#L142


#7 - 2014-02-23 07:41 - Toshi MARUYAMA

- Category deleted (PDF export)

#8 - 2014-02-23 07:43 - Toshi MARUYAMA

- Subject changed from problem in exporting arabic text  to problem in exporting Arabic text 

#9 - 2014-11-30 13:25 - Toshi MARUYAMA

- Has duplicate Defect #18504: PDF export for arabic and persian language doesn't work added

#10 - 2014-11-30 13:31 - Toshi MARUYAMA

I have created issue.

https://github.com/naitoh/rbpdf/issues/4

#11 - 2014-12-06 05:15 - Jun NAITOH

I released rbpdf 1.18.3 gem.

Arabic support was fixed by rbpdf 1.18.3.

please use DejaVuSans font.

1. please bundle update

bundle update rbpdf

2. set DejaVuSans font.

config/locales/ar.yml

general_pdf_fontname: DejaVuSans

3. use Arabic locale

#12 - 2014-12-06 14:36 - Toshi MARUYAMA

- Subject changed from problem in exporting Arabic text  to problem in exporting Arabic text to csv

This issue has pdf and csv problems.

I have splitted pdf problem to #18586.

#13 - 2015-03-30 12:54 - Toshi MARUYAMA

- Status changed from New to Closed

#19523 is new issue of csv only.

Files

issues.csv 1.64 KB 2014-02-06 Hosny Ashry

issues.pdf 342 KB 2014-02-06 Hosny Ashry

arabic.png 19.9 KB 2014-02-09 Hosny Ashry
